1

I am on Debian Jessie, compiling the last master with a gcc 4.8 and some higher versions for some of the required libs, required libs are :

glib >= 2.22
fuse >= 2.7.3
libevent >= 2.0
libxml >= 2.6
libcrypto >= 0.9
libmagic (optional: --with-libmagic=PATH)

Everything goes smooth, configure stage drops no error, neither make. But I can't use --force-head-requests because it is not compiled in to the binary ( the option does not show when executing the binary --help )

When trying to make a symlink after mounting the bucket, I get failed to create symbolic link function not implemented. This is the project in github : https://github.com/skoobe/riofs

Is this some backward lib incompatibility issue ?

migrated from serverfault.com Oct 10 '14 at 22:39

This question came from our site for system and network administrators.

  • Run ./configure --help and read the output carefully. – Michael Hampton Oct 10 '14 at 22:39
0

You will need to install the dev package for libmagic-dev:

apt-get install libmagic-dev

Then point the --configure to the location /usr/lib/x86_64-linux-gnu/libmagic.so

./configure --prefix=/usr/local  --with-libmagic=/usr/lib/x86_64-linux-gnu
/usr/lib/x86_64-linux-gnu
checking magic.h usability... yes
checking magic.h presence... yes
checking for magic.h... yes
checking for magic_open in -lmagic... yes

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy